commit:     f4f868faa192a013c78c36750f6444807771a36e
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 22 15:25:16 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Nov 22 15:50:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4f868fa

app-emacs/macrostep: bump to 0.9.4

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/macrostep/Manifest               |  1 +
 app-emacs/macrostep/macrostep-0.9.4.ebuild | 31 ++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/app-emacs/macrostep/Manifest b/app-emacs/macrostep/Manifest
index 6b087d2e93e4..05b57a0c1fc9 100644
--- a/app-emacs/macrostep/Manifest
+++ b/app-emacs/macrostep/Manifest
@@ -1 +1,2 @@
 DIST macrostep-0.9.2.tar.gz 33067 BLAKE2B 
0fd25c8ae8827032286890040dadc2f3f2ca20d2fb5366acfe0a6a319f4dc20e2ff17fb59355b2bab36a9cea418122f5c3ae1485bc2ea9989f9c7c5fe4e4b390
 SHA512 
55d4c0c09f184a3e2218dc484d3c0f57255d591db910082d466f835b084aaa5d795636d337fa1f642a9a97858eaef63b58771f5583c975488f07ed0f87bdbb32
+DIST macrostep-0.9.4.tar.gz 33089 BLAKE2B 
31777552faa2cb30f996defe44a3f5ec8b60ad75d6bd0e0461f8bfb0971b4dd43b17e88dcf06e8c492146b6e4f78b76e61c42a3f1accdad9fba275b344bef7ab
 SHA512 
f5932b2bba4668d4b353db3b5e87e57e35ee3b7fe5fdfce4dd80c79dd2d596f4216655e06e05377bbc73d4491381dad7acb69b3c547da6f89dc09ab2e9ce1fa1

diff --git a/app-emacs/macrostep/macrostep-0.9.4.ebuild 
b/app-emacs/macrostep/macrostep-0.9.4.ebuild
new file mode 100644
index 000000000000..03d70e059224
--- /dev/null
+++ b/app-emacs/macrostep/macrostep-0.9.4.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Interactive macro-expander for Emacs"
+HOMEPAGE="https://github.com/joddie/macrostep/
+       https://github.com/emacsorphanage/macrostep/";
+SRC_URI="https://github.com/emacsorphanage/${PN}/archive/${PV}.tar.gz
+       -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+PATCHES=( "${FILESDIR}"/${PN}-test.patch )
+
+DOCS=( README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_test() {
+       ${EMACS} ${EMACSFLAGS} -L . --load ${PN}-test.el || die "test failed"
+}
+
+src_install() {
+       rm macrostep-test.el{,c} || die
+
+       elisp_src_install
+}

Reply via email to